Tech Support :: Solutions back

You have a Macintosh.

Webcasts should work on Macintosh OS 9 and OS X (all versions), provided the system meets our minimum system requirements.


back